/*
 * Copyright (c) 1994 Frank Behrens
 * All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

/*  $Log: rcpos2.h,v $
 * Revision 1.2  1996/11/19  22:22:52  frank
 * display filenames, size and percent
 * h_error
 *
 * Revision 1.1  1994/09/09  00:00:00  frank
 * Initial revision
 *                                                       */


#ifdef __EMX__
#define OS2

#define _System
#include <sys/types.h>
#include <types.h>
#define rindex strrchr
#endif

#ifdef OS2
#define BSD_SELECT
#else
#define soclose close
#endif

extern int rem_issocket;
extern volatile long bytes_all, bytes_curr;

void alarmhandler (void);

void herror (char *msg);

void create_semaphore (void);
void delete_semaphore (void);
void start_showthread (int verbose);
void end_showthread (int verbose);

char * quiet_4os2_switch (int verbose);
